Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Account.PHONENUMBERSPOLICY

    java.lang.Object
      java.lang.Enum<Account.PHONENUMBERSPOLICY>
          com.skype.api.Account.PHONENUMBERSPOLICY

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Account.PHONENUMBERSPOLICY>

Enclosing class:
  Account

    public static enum Account.PHONENUMBERSPOLICY

extends java.lang.Enum<Account.PHONENUMBERSPOLICY>

Recognized values for the P_PHONENUMBERSPOLICY property that controls whether unauthorized remote users can see associated phone numbers in their UI (for reference, see the different phone number tabs in Windows desktop Client contact view). Note that since this set of values is associated with a server-side property, you must set that property using Account.SetServersideIntProperty

Enum Constant Summary
`PHONENUMBERS_VISIBLE_FOR_BUDDIES` Only authorized contacts can see the phone numbers.
`PHONENUMBERS_VISIBLE_FOR_EVERYONE` Everyone can see the phone numbers.

Method Summary
`static Account.PHONENUMBERSPOLICY` | `fromString(java.lang.String s)`
`static Account.PHONENUMBERSPOLICY` | `get(int code)`
`int` | `getId()`
`static Account.PHONENUMBERSPOLICY` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Account.PHONENUMBERSPOLICY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PHONENUMBERS_VISIBLE_FOR_BUDDIES

    public static final Account.PHONENUMBERSPOLICY PHONENUMBERS_VISIBLE_FOR_BUDDIES

  Only authorized contacts can see the phone numbers.

### PHONENUMBERS_VISIBLE_FOR_EVERYONE

    public static final Account.PHONENUMBERSPOLICY PHONENUMBERS_VISIBLE_FOR_EVERYONE

  Everyone can see the phone numbers.

Method Detail

### values

    public static Account.PHONENUMBERSPOLICY[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Account.PHONENUMBERSPOLICY c : Account.PHONENUMBERSPOLICY.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Account.PHONENUMBERSPOLICY valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Account.PHONENUMBERSPOLICY get(int code)

### fromString

    public static Account.PHONENUMBERSPOLICY fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.